Bug 146791 - Port update: ftp/lftp - Update to v4.0.7
Summary: Port update: ftp/lftp - Update to v4.0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-21 11:20 UTC by ganael.laplanche
Modified: 2010-06-05 22:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.06 KB, patch)
2010-05-21 11:20 UTC, ganael.laplanche
no flags Details | Diff
patch-lftp-4.0.7-4.0.8.txt (941 bytes, patch)
2010-05-25 15:51 UTC, ganael.laplanche
no flags Details | Diff
patch-lftp.txt (3.08 KB, patch)
2010-06-03 07:11 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2010-05-21 11:20:06 UTC
This patch updates ftp/lftp to v4.0.7.

Changelog :

Version 4.0.7 - 2010-04-29

* make xfer:clobber off by default.
* limit number of attempts to upload a file (net:max-retries).
* handle 426 ftp reply to STOR specially.
* retry FEAT after login even after non-standard 5xx reply.

Version 4.0.6 - 2010-03-25

* use O_EXCL flag when xfer:clobber is off.
* better validation of server-provided file name.
* new setting xfer:auto-rename (off by default).
* new setting ftp:ssl-copy-sid (for some broken servers).
* fixed CCC ftp command to shutdown SSL connection properly.
* fixed `pget -c' on complete files.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2010-05-21 12:49:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 ganael.laplanche 2010-05-25 15:51:07 UTC
On Fri, 21 May 2010 10:20:06 GMT, FreeBSD-gnats-submit wrote

Hi Miwi,

>> Synopsis:       Port update: ftp/lftp - Update to v4.0.7

Meanwhile, lftp has been updated to v4.0.8. Please apply the attached -
additional - patch after having updated lftp to 4.0.7 with the previous patch.

From Changelog :

Version 4.0.8 - 2010-05-24

* fixed get/mget -c when xfer:clobber is off.
* fixed file verification in pget.
* fixed ftp encoding for servers with LANG but without UTF8 feature.

Best regards,

Ganaël LAPLANCHE
ganael.laplanche@martymac.org
http://www.martymac.org
Comment 3 Martin Wilke freebsd_committer 2010-06-02 16:57:16 UTC
State Changed
From-To: open->feedback

patch reject please resend a full patch as attachment. thanks
Comment 4 ganael.laplanche 2010-06-03 07:11:41 UTC
On Wed, 2 Jun 2010 15:57:16 GMT, miwi wrote

Hi Miwi,

> State-Changed-Why: 
> patch reject please resend a full patch as attachment. thanks

The patch is rejected because of recent gettext's PORTREVISION bump.

Find attached a full, up-to-date, patch that updates lftp from v4.0.5 to v4.0.8.

Best regards,

Ganaël LAPLANCHE
ganael.laplanche@martymac.org
http://www.martymac.org
Comment 5 Martin Wilke freebsd_committer 2010-06-05 22:30:49 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter freebsd_committer 2010-06-05 22:31:37 UTC
miwi        2010-06-05 21:30:39 UTC

  FreeBSD ports repository

  Modified files:
    ftp/lftp             Makefile distinfo 
    ftp/lftp/files       patch-build-aux-ltmain.sh 
                         patch-lib-Makefile.in 
  Log:
  - Update to 4.0.8
  
  PR:             146791
  Submitted by:   Ganael Laplanche <ganael.laplanche@martymac.com> (maintainer)
  
  Revision  Changes    Path
  1.147     +1 -2      ports/ftp/lftp/Makefile
  1.102     +3 -3      ports/ftp/lftp/distinfo
  1.3       +11 -11    ports/ftp/lftp/files/patch-build-aux-ltmain.sh
  1.5       +6 -6      ports/ftp/lftp/files/patch-lib-Makefile.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"